import React, { Component } from 'react';
import { ToastContainer } from 'react-toastify';
import Logo from './Logo/Logo';
import Bio from './Bio/Bio';
import Login from './Login/Login';
import Snackbar from '@material-ui/core/Snackbar';

import './Auth.scss';
export default class Auth extends Component {
  constructor(props) {
    super(props);

    this.state = {
      page: 'logo',
    };
  }
  state = { toastView: false };
  setPage = (val) => {
    this.setState({
      page: val,
    });
  };
  toastClose = () => {
    this.setState({ toastView: false });
  };
  toast = (toastText) => {
    this.setState({ toastView: true, toastText });
  };
  componentDidMount() {
    window.toast = this.tosat;
  }
  render() {
    const { toastView, toastText } = this.state;
    return (
      <div className="auth">
        {this.state.page === 'logo' ? <Logo setPage={this.setPage} /> : null}
        {this.state.page === 'bio' ? <Bio setPage={this.setPage} /> : null}
        {this.state.page === 'login' ? <Login /> : null}
        <Snackbar
          anchorOrigin={{ vertical: 'top', horizontal: 'center' }}
          open={toastView}
          onClose={this.toastClose}
          message={toastText}
        />
        <ToastContainer
          position="bottom-right"
          autoClose={1500}
          hideProgressBar={true}
          newestOnTop={true}
          closeOnClick
          rtl={true}
          pauseOnFocusLoss
          draggable
          pauseOnHover
        />
      </div>
    );
  }
}
