import React, { Component } from 'react';
import ChatIcon from '@material-ui/icons/Chat';
import FileTabs from './FileTabs';
import Gallery from './Gallery';
import user2 from '../../../assets/images/user2.png';

import './index.scss';
export default class ChatInfo extends Component {
  constructor(props) {
    super(props);
    this.state = {
      gallery: null,
      user: {
        profileImages: [
          { id: 0, src: user2 },
          { id: 1, src: user2 },
          { id: 2, src: user2 },
          { id: 3, src: user2 },
        ],
        name: 'محسن محمدی',
        lastAct: '2 دقیقه پیش آنلاین بوده',
        bio: '" ایما " چیست ؟ جایی پر از ماجراها و اتفاق های عجیب و جذاب. جایی که شما تمام این ماجراها رو تجربه میکنید. ',
      },
    };
  }

  setGallery = (val) => {
    this.setState({
      gallery: val,
    });
  };

  render() {
    const { user, gallery } = this.state;
    return (
      <div className="chat-info d-flex flex-column">
        <div className="chat-info__image d-flex">
          <img src={user.profileImages[0].src} onClick={() => this.setGallery('profile')} alt="" />
          <div className="chat-info__image--float d-flex">
            <ChatIcon style={{ color: 'white', width: 46, height: 46 }} />
          </div>
        </div>
        <div className="chat-info__box d-flex flex-column">
          <div className="chat-info__box--status d-flex flex-column">
            <h1>{user.name}</h1>
            <p>{user.lastAct}</p>
          </div>
          <div className="chat-info__box--description d-flex">
            <p>{user.bio}</p>
          </div>
          <FileTabs onClick={this.setGallery} />
        </div>
        {gallery === 'profile' ? (
          <Gallery data={user.profileImages} onClick={this.setGallery} />
        ) : null}
        {gallery === 'media' ? <Gallery data={null} /> : null}
      </div>
    );
  }
}
