import React, { Component } from 'react';
import { Link } from 'react-router-dom';
import moment from 'jalali-moment';
import './Chat.scss';
export default class Chat extends Component {
  render() {
    const { data } = this.props;
    return (
      <Link to={`/chatroom/${data.id}`} className="chat d-flex">
        <img src={data.imageUrl} alt="عکس کاربر" />
        <div className="chat__data d-flex flex-column">
          <h1 className="chat__data--name">{data.name}</h1>
          <p className="chat__data--lastMessage">{data.lastMessage.slice(0, 40) + '...'}</p>
          <span>{data.badge}</span>
          <div>{moment(data.date || new Date()).format('jD/jM hh:mm')}</div>
        </div>
      </Link>
    );
  }
}
