import React, { Component } from 'react';
import ChatIcon from '@material-ui/icons/Chat';
import LocationOnIcon from '@material-ui/icons/LocationOn';
import InfoIcon from '@material-ui/icons/Info';

import './TabBar.scss';
export default class TabBar extends Component {
  render() {
    return (
      <div className="tabBar d-flex">
        <div
          className="tabBar__item d-flex flex-column"
          onClick={() => this.props.setTabBar('info')}
          style={{ borderColor: this.props.tabBar === 'info' ? 'white' : '#afafaf' }}
        >
          <InfoIcon
            style={{
              color: this.props.tabBar === 'info' ? 'white' : '#afafaf',
              width: 50,
              height: 30,
              padding: '5px 10px',
            }}
          />
          {this.props.tabBar === 'info' ? <div className="tabBar__item--active"></div> : null}
        </div>
        <div
          className="tabBar__item d-flex flex-column"
          onClick={() => this.props.setTabBar('location')}
          style={{ borderColor: this.props.tabBar === 'location' ? 'white' : '#afafaf' }}
        >
          <LocationOnIcon
            style={{
              borderColor: this.props.tabBar === 'info' ? 'white' : '#afafaf',
              color: this.props.tabBar === 'location' ? 'white' : '#afafaf',
              width: 50,
              height: 30,
              padding: '5px 10px',
            }}
          />
          {this.props.tabBar === 'location' ? <div className="tabBar__item--active"></div> : null}
        </div>
        <div
          className="tabBar__item d-flex flex-column"
          onClick={() => this.props.setTabBar('chat')}
          style={{ borderColor: this.props.tabBar === 'chat' ? 'white' : '#afafaf' }}
        >
          <ChatIcon
            style={{
              borderColor: this.props.tabBar === 'info' ? 'white' : '#afafaf',
              color: this.props.tabBar === 'chat' ? 'white' : '#afafaf',
              width: 50,
              height: 30,
              padding: '5px 10px',
            }}
          />
          {this.props.tabBar === 'chat' ? <div className="tabBar__item--active"></div> : null}
        </div>
      </div>
    );
  }
}
